"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var S = _interopRequireWildcard(require("./Typography.styles.js"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const elements = {
  headings: {
    h1: 'h1',
    h1Light: 'h1',
    h2: 'h2',
    h3: 'h3',
    h4: 'h4'
  },
  body: 'p',
  label: 'label'
};
const Typography = ({
  className,
  children,
  type = 'body',
  variant = 'primary',
  text,
  ...rest
}) => {
  return /*#__PURE__*/_react.default.createElement(S.TyporaphyDefault, {
    as: elements[type][variant] || elements[type],
    className: className,
    type: type,
    variant: variant,
    ...rest
  }, text ? text : children);
};
var _default = Typography;
exports.default = _default;