import { ThemeType } from '../shared/types/bolttech-theme-provider.type.js';
/**
 * This function is responsible to create class auxiliary for text colours and backgrounds
 * and backgrounds using the theme itself.
 * @param {ThemeType} theme
 */
export declare const createColorClasses: (theme: ThemeType) => string;
/**
 * This function is responsible to create class auxiliary for spacings using the theme itself.
 * @param {ThemeType} theme
 */
export declare const createPaddingClasses: (theme: ThemeType) => string;
/**
 * This function is responsible to create class auxiliary for spacings using the theme itself.
 * @param {ThemeType} theme
 */
export declare const createMarginClasses: (theme: ThemeType) => string;
export declare const createPositioningClasses: () => string;
